package com.house365.test;



import org.junit.Test;
import org.springframework.web.client.RestTemplate;

/**
 * 模拟外部接口调用
 *
 * @author 
 * @version [v1.0.0, 2015年5月6日]
 * @see [相关类/方法]（可选）
 * @since [产品/模块版本] （可选）
 */
public class TestGetDeliveryInfoInterface {

    /**
     * 公共地址入口
     */
    private String target = "http://127.0.0.1:8080/house365-cm-web/rest/interface/";
    
    /**
     * 模拟web接口调用
     */
    @Test
    public void webInterfaceTest() {
        
        StringBuffer buffer = new StringBuffer();
        buffer.append("?");
        // 调用服务编码 
        buffer.append("serviceCode=Cm");
        buffer.append("&");
        // 调用服务名称 
        buffer.append("serviceName=GetDeliveryInfo");
        buffer.append("&");
        // 用户参数
        buffer.append("uid=1");  
        //拼接参数	
        target += buffer.toString();
        System.out.print(target);   
        // 调用公共容器
        RestTemplate restTemplate = new RestTemplate();
        String result = restTemplate.getForObject(target, String.class);
        
        // 返回处理结果
        System.out.println("接口调用返回值：" );
        System.out.println(result);
    }

}
